Package org.snpeff.gsa

# Class ChrPosScoreList

java.lang.Object
org.snpeff.gsa.ChrPosScoreList

public class ChrPosScoreList extends Object
A list of invalid input: '<'chromosome, position, scores>

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`ChrPosScoreList()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Chromosome chr, int start, int end, double score)`
`Chromosome`
`getChromosome(int index)`
`String`
`getChromosomeName(int index)`
`int`
`getEnd(int index)`
`double`
`getScore(int index)`
`int`
`getStart(int index)`
`int`
`size()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChrPosScoreList

public ChrPosScoreList()

## Method Details

### add

public void add(Chromosome chr, int start, int end, double score)

### getChromosome

public Chromosome getChromosome(int index)

### getChromosomeName

public String getChromosomeName(int index)

### getEnd

public int getEnd(int index)

### getScore

public double getScore(int index)

### getStart

public int getStart(int index)

### size

public int size()

### toString

public String toString()

Overrides:
  `toString` in class `Object`